Bug 837109 - Systemd service should inhibit suspend while remote users are logged in via ssh
Systemd service should inhibit suspend while remote users are logged in via ssh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 16:00 EDT by Victor J. Orlikowski
Modified: 2013-08-01 05:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:12:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Victor J. Orlikowski 2012-07-02 16:00:51 EDT
Description of problem:
When logged in on the console of a Gnome 3 system-
If sleep-inactive-battery or sleep-inactive-ac are set to true in the Gnome 3 settings, and there's a reasonable timeout set for each,
then, when the timeout elapses, users that are logged into the machine remotely via ssh are disconnected, when the machine suspends.

While this *can* be worked around for a single user (via creative scripting and the Gnome 3 Inhibit API), the correct fix would be to use systemd-inhibit when launching sshd for a remote user.

Version-Release number of selected component (if applicable):


How reproducible:
100% reliably reproducible

Steps to Reproduce:
1. Log in to a Fedora 17 system running Gnome 3 on the desktop
2. Ensure that the system is set to suspend whatever duration of inactivity (battery or AC)
3. Log in via ssh from a remote system
4. Permit the desktop session to remain inactive for the duration set for the system's current power mode.
  
Actual results:
System suspends, disconnects remote users.

Expected results:
Inactivity based suspend is disabled, so long as remote users
are connected via ssh. This would match a behavior seen in OS X,
that might be expected by certain users.


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 22:42:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:13:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.